<div class="loading-shade" *ngIf="courseDetailLoading$ | async">
  <mat-spinner *ngIf="courseDetailLoading$ | async"></mat-spinner>
</div>
<div class="details-container" *ngIf="!(courseDetailLoading$ | async)">
  <section *ngIf="courseDetailError$ | async as error">
    <h3>Error thrown</h3>
    <pre>{{error | json}}</pre>
  </section>
  <table mat-table [dataSource]="mappedSelectedCourse$ | async">
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef>Type</th>
      <td mat-cell *matCellDef="let row" class="mat-body-strong">
        {{ row.type | camelToSentenceCase }}
      </td>
    </ng-container>
    <ng-container matColumnDef="value">
      <th mat-header-cell *matHeaderCellDef>Value</th>
      <td mat-cell *matCellDef="let row">
        <a *ngIf="validUrl(row.value)" [href]="row.value" target="_blank">{{
          row.value | truncateChar
        }}</a><span *ngIf="!validUrl(row.value)">{{row.value}}</span>
      </td>
    </ng-container>
    <tr
      mat-header-row
      *matHeaderRowDef="displayedColumns"
      style="display: none;"
    ></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div>
